% function rs_nrpz_close
% *************************************************************************
% 
% Copyright: (c) 2005 Rohde & Schwarz GmbH & CO KG.    All rights reserved.
%                Muehldorfstr. 15
%                D-81671 Munich
%
% *************************************************************************
% This function closes the sensor connection.
% @param  libname                     The name of the library.
% @param  session                     The session ID.
%%
% @return Status                      Status = 0, error occured.
%                                     Status = 1, OK.
%**************************************************************************
function Status = rs_nrpz_close( libname, session )  

    Status = 0;

    % Close sensor connection. It must be ensured that the sensor is closed
    % at the end of the program !
    %   It is possible to close rsnrpz_close() with 0 as the session number in
    %   order to close all open sessions.
    %   err = calllib( libname, 'rsnrpz_close', 0 );
    err = calllib( libname, 'rsnrpz_close', session );
    if( err<0 )
        disp( 'Error closing the sensor connection' );
    end
    
    Status = 1;

return;



